<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Submissions Captcha V1.00
| Filename: infusion.php
| Developers: Fangree_Craig, Nick Jones
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."submissions_captcha/infusion_db.php";

if (file_exists(INFUSIONS."submissions_captcha/locale/".$settings['locale'].".php")) {
	include INFUSIONS."submissions_captcha/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."submissions_captcha/locale/English.php";
}

// Infusion general information
$inf_title = $locale['suc001'];
$inf_description = $locale['suc002'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "submissions_captcha";

$inf_newtable[1] = DB_SUCAPTCHA_TABLE." (
submissions_captcha_articles TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
submissions_captcha_links TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
submissions_captcha_news TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
submissions_captcha_photos TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (submissions_captcha_articles)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_SUCAPTCHA_TABLE." (submissions_captcha_articles, submissions_captcha_links, submissions_captcha_news, submissions_captcha_photos) VALUES ('0', '0', '0', '0')";
$inf_droptable[1] = DB_SUCAPTCHA_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['suc001'],
	"image" => "submissions_captcha.gif",
	"panel" => "submissions_captcha_admin.php",
	"rights" => "SUC"
);

?>