<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submissions_captcha_admin.php
| Author: Fangree Productions
|Version: Submissions Captcha V1.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("SUC")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php");
}
if (file_exists(INFUSIONS."submissions_captcha/locale/".$settings['locale'].".php")) {
	include INFUSIONS."submissions_captcha/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."submissions_captcha/locale/English.php";
}
include INFUSIONS."submissions_captcha/infusion_db.php";
add_to_title($locale['global_200'].$locale['suc001']);

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

    $submissions_captcha_settings = dbarray(dbquery("SELECT * FROM ".DB_SUCAPTCHA_TABLE.""));
    $error = 0;

	$submissions_captcha_articles=(isset($_POST['submissions_captcha_articles']) && isNum($_POST['submissions_captcha_articles'])) ? $_POST['submissions_captcha_articles'] : "0"; //Articles
	$submissions_captcha_links=(isset($_POST['submissions_captcha_links']) && isNum($_POST['submissions_captcha_links'])) ? $_POST['submissions_captcha_links'] : "0"; //Links
	$submissions_captcha_news=(isset($_POST['submissions_captcha_news']) && isNum($_POST['submissions_captcha_news'])) ? $_POST['submissions_captcha_news'] : "0"; //News
	$submissions_captcha_photos=(isset($_POST['submissions_captcha_photos']) && isNum($_POST['submissions_captcha_photos'])) ? $_POST['submissions_captcha_photos'] : "0"; //Photos
	
    if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_SUCAPTCHA_TABLE." SET
	submissions_captcha_articles='$submissions_captcha_articles', submissions_captcha_links='$submissions_captcha_links', submissions_captcha_news='$submissions_captcha_news', submissions_captcha_photos='$submissions_captcha_photos'
	");
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

opentable($locale['suc001']);
echo "<br /><center><div class='admin-message'>".$locale['suc002']."</div></center>\n";
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";

//Submissions Captcha - Articles
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['suc003']."</td>\n";
echo "<td class='tbl' align='left'><select name='submissions_captcha_articles' class='textbox'>\n";
echo "<option value='1'".($submissions_captcha_settings['submissions_captcha_articles'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($submissions_captcha_settings['submissions_captcha_articles'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Submissions Captcha - Links
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['suc004']."</td>\n";
echo "<td class='tbl' align='left'><select name='submissions_captcha_links' class='textbox'>\n";
echo "<option value='1'".($submissions_captcha_settings['submissions_captcha_links'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($submissions_captcha_settings['submissions_captcha_links'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Submissions Captcha - News
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['suc005']."</td>\n";
echo "<td class='tbl' align='left'><select name='submissions_captcha_news' class='textbox'>\n";
echo "<option value='1'".($submissions_captcha_settings['submissions_captcha_news'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($submissions_captcha_settings['submissions_captcha_news'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Submissions Captcha - Photos
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['suc006']."</td>\n";
echo "<td  class='tbl'align='left'><select name='submissions_captcha_photos' class='textbox'>\n";
echo "<option value='1'".($submissions_captcha_settings['submissions_captcha_photos'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($submissions_captcha_settings['submissions_captcha_photos'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n";
echo"</table>";

//Save
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'>\n";
echo "<input type='submit' name='savesettings' value='".$locale['suc007']."' class='button' />\n";
echo "</td></tr>\n";
echo"</table>\n";
echo "</form>\n";

// Please do not remove copyright info
 include INFUSIONS."submissions_captcha/includes/copyright_func.php";
 echo showSUCcopyright();
// End copyright info

closetable();

require_once THEMES."templates/footer.php";
?>